# -*- coding: utf-8 -*-
from setuphelpers import *

# registry key(s) where WAPT will find how to remove the application(s)
uninstallkey = []

def install():

    print('installing Adobe Air')
    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed('AdobeAIRInstaller.exe',silentflags='-silent',key='Adobe AIR',min_version=versionpaquet)
    uninstallkey.remove('Adobe AIR')
    mkdirs(makepath(programfiles,'wapt-files'))
    filecopyto('AdobeAIRInstaller.exe',makepath(programfiles,'wapt-files'))

def uninstall():
    run('"%s" -uninstall' % makepath(programfiles,'wapt-files','AdobeAIRInstaller.exe'))
    remove_file(makepath(programfiles,'wapt-files','AdobeAIRInstaller.exe'))

def update_package():

    import requests,BeautifulSoup
    page = requests.get('https://get.adobe.com/fr/air/',headers={'User-Agent':'Mozilla/5.0 (Windows NT 6.1; Win64; x64)'}).text
    bs = BeautifulSoup.BeautifulSoup(page)
    latest_version = bs.find(id="autoSelectedVersion").find(id="AUTO_ID_columnleft_p_version").text.replace('Version','').strip()
    print('Latest version: %s' % latest_version)

    wget('http://airdownload.adobe.com/air/win/download/%s/AdobeAIRInstaller.exe' % (latest_version),'AdobeAIRInstaller.exe')

    vers = get_file_properties('AdobeAIRInstaller.exe')['FileVersion']

    control.version = vers + '-0'
    control.save_control_to_wapt()

